XMLWriter::endPI
XMLWriter::fullEndElement
XMLWriter Functions
PHP Manual

# XMLWriter::flush

(PHP 5 >= 5.1.2, PECL xmlwriter:1.0-2.0.4)

XMLWriter::flush — Flush current buffer

### Description

Object oriented style:

XMLWriter
mixed flush ([ bool `$empty` ] )

Procedural style:

mixed xmlwriter_flush ( resource `$xmlwriter` [, bool `$empty` ] )

Flushes the current buffer.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`empty`

  Whether to empty the buffer or no. Default is `TRUE`.

### Return Values

If you opened the writer in memory, this function returns the generated XML buffer, Else, if using URI, this function will write the buffer and return the number of written bytes.

XMLWriter::endPI
XMLWriter::fullEndElement
XMLWriter Functions
PHP Manual